﻿using LiveCharts;
using LiveCharts.Wpf;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace Tutorial.BasicPlots
{
    /// <summary>
    /// StepLineWindow.xaml에 대한 상호 작용 논리
    /// </summary>
    public partial class StepLineWindow : Window
    {
        public SeriesCollection SeriesCollection { get; set; }

        public StepLineWindow()
        {
            InitializeComponent();
            InitInstance();
        }

        private void InitInstance()
        {
            SeriesCollection = new SeriesCollection()
            {
                new StepLineSeries()
                {
                    Title = "Series 1",
                    Values = new ChartValues<double> { 9, 6, 5, 7, 8, 9, 7, 6, 7, 5 }
                },
                new StepLineSeries()
                {
                    Title = "Series 2",
                    Values = new ChartValues<double> { 1, 4, 3, 1, 4, 2, 1, 2, 3, 5 },
                    AlternativeStroke = Brushes.Transparent,
                    StrokeThickness = 3,
                    PointGeometry = null
                }
            };

            DataContext = this;
        }

        private void btnAdd_Click(object sender, RoutedEventArgs e)
        {
            Random rand = new Random();
            foreach (var series in SeriesCollection.Cast<StepLineSeries>())
            {
                series.Values.Add((double)rand.Next(1, 11));
            }
        }
    }
}
